Bug 338301 - [RHEL 5.2] Xen 3.1.1 Support for COM and LPT for Windows guests
[RHEL 5.2] Xen 3.1.1 Support for COM and LPT for Windows guests
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Michal Novotny
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 12:23 EDT by Cole Robinson
Modified: 2014-02-02 17:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 04:14:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Support for COM and LPT for Windows guests patch (85.80 KB, patch)
2009-04-02 10:42 EDT, Michal Novotny
no flags Details | Diff

  None (edit)
Description Cole Robinson 2007-10-18 12:23:11 EDT
The following csets from xen-3.1-testing.hg add some hardware support to prevent
upsetting windows. They are recommended for inclusion in RHEL 5.2.

15314 - reintroduce LPT1 to ACPI tables to prevent upsetting windows
15440 - hvmloader: ACPI DSDT dynamically indicates presence of COM1/COM2 ports
according to qemu emulation.
Comment 1 RHEL Product and Program Management 2007-10-18 12:34:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 RHEL Product and Program Management 2008-03-11 15:39:10 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 4 Michal Novotny 2009-04-02 10:42:24 EDT
Created attachment 337826 [details]
Support for COM and LPT for Windows guests patch

This is the patch to support COM and LPT ports for Windows guests, it's a backport of upstream at http://xenbits.xensource.com/xen-3.1-testing.hg?rev/02a3eb16f695 and http://xenbits.xensource.com/xen-3.1-testing.hg?rev/d44127029a55 .

Michal
Comment 8 Paolo Bonzini 2010-04-08 11:51:08 EDT
This bug was closed during 5.5 development and it's being removed from the internal tracking bugs (which are now for 5.6).

Note You need to log in before you can comment on or make changes to this bug.